export const ColorLegend = ({
  colorScale,
  tickSpacing = 20,
  tickSize = 10,
  tickTextOffset = 20,
  onHover,
  hoveredValue,
  fadeOpacity
}) =>
  colorScale.domain()[0].map((domainValue, i) => (
    <g 
      className="tick"
      onMouseEnter={() => { onHover(domainValue); }}
      onMouseOut={() => { onHover(null); }}
      transform={`translate(0,${i * tickSpacing})`}
      opacity = {hoveredValue && domainValue !== hoveredValue ? fadeOpacity : 1}
    >
      <circle fill={colorScale(domainValue)} r={tickSize} />
      <text x={tickTextOffset} dy=".32em">
        {domainValue}
      </text>
    </g>
  ));
